/******************************************************************************
** (C) Chris Wood 1997
**
** MODULE:		POINT.H
** COMPONENT:	Text Mode Graphics Library.
** DESCRIPTION:	Point structure and inline functions.
**
*******************************************************************************
*/

/* Check for previous inclusion */
#ifndef POINT_H
#define POINT_H

/******************************************************************************
**
** Structures.
**
*******************************************************************************
*/

/******************************************************************************
** A 2D point.
*/

typedef struct tagPoint
{
	int	x;
	int	y;
} Point;

/******************************************************************************
**
** Inline functions.
**
*******************************************************************************
*/

/******************************************************************************
** Set the members of a point.
*/

__inline void SetPoint(Point* pPoint, int x, int y)
{
	ASSERT(pPoint);

	pPoint->x = x;
	pPoint->y = y;
}

#endif /* POINT_H */
